<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_282) on Wed Apr 21 14:40:19 CEST 2021 -->
<title>R-Index</title>
<meta name="date" content="2021-04-21">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="R-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a name="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><a href="../com/nnk/springboot/domain/Rating.html" title="class in com.nnk.springboot.domain"><span class="typeNameLink">Rating</span></a> - Class in <a href="../com/nnk/springboot/domain/package-summary.html">com.nnk.springboot.domain</a></dt>
<dd>
<div class="block">The type Rating.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/domain/Rating.html#Rating--">Rating()</a></span> - Constructor for class com.nnk.springboot.domain.<a href="../com/nnk/springboot/domain/Rating.html" title="class in com.nnk.springboot.domain">Rating</a></dt>
<dd>
<div class="block">Instantiates a new Rating.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/domain/Rating.html#Rating-java.lang.String-java.lang.String-java.lang.String-java.lang.Integer-">Rating(String, String, String, Integer)</a></span> - Constructor for class com.nnk.springboot.domain.<a href="../com/nnk/springboot/domain/Rating.html" title="class in com.nnk.springboot.domain">Rating</a></dt>
<dd>
<div class="block">Instantiates a new Rating.</div>
</dd>
<dt><a href="../com/nnk/springboot/controllers/RatingController.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">RatingController</span></a> - Class in <a href="../com/nnk/springboot/controllers/package-summary.html">com.nnk.springboot.controllers</a></dt>
<dd>
<div class="block">The Rating controller.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/RatingController.html#RatingController--">RatingController()</a></span> - Constructor for class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/RatingController.html" title="class in com.nnk.springboot.controllers">RatingController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/integration/RatingControllerIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">RatingControllerIT</span></a> - Class in <a href="../com/nnk/springboot/integration/package-summary.html">com.nnk.springboot.integration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/integration/RatingControllerIT.html#RatingControllerIT--">RatingControllerIT()</a></span> - Constructor for class com.nnk.springboot.integration.<a href="../com/nnk/springboot/integration/RatingControllerIT.html" title="class in com.nnk.springboot.integration">RatingControllerIT</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/controllers/RatingControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">RatingControllerTest</span></a> - Class in <a href="../com/nnk/springboot/controllers/package-summary.html">com.nnk.springboot.controllers</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/RatingControllerTest.html#RatingControllerTest--">RatingControllerTest()</a></span> - Constructor for class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/RatingControllerTest.html" title="class in com.nnk.springboot.controllers">RatingControllerTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/repositories/RatingRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">RatingRepository</span></a> - Interface in <a href="../com/nnk/springboot/repositories/package-summary.html">com.nnk.springboot.repositories</a></dt>
<dd>
<div class="block">The interface Rating repository.</div>
</dd>
<dt><a href="../com/nnk/springboot/services/RatingService.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">RatingService</span></a> - Class in <a href="../com/nnk/springboot/services/package-summary.html">com.nnk.springboot.services</a></dt>
<dd>
<div class="block">The type Rating service.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/services/RatingService.html#RatingService--">RatingService()</a></span> - Constructor for class com.nnk.springboot.services.<a href="../com/nnk/springboot/services/RatingService.html" title="class in com.nnk.springboot.services">RatingService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/services/RatingServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">RatingServiceTest</span></a> - Class in <a href="../com/nnk/springboot/services/package-summary.html">com.nnk.springboot.services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/services/RatingServiceTest.html#RatingServiceTest--">RatingServiceTest()</a></span> - Constructor for class com.nnk.springboot.services.<a href="../com/nnk/springboot/services/RatingServiceTest.html" title="class in com.nnk.springboot.services">RatingServiceTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/domain/RuleName.html" title="class in com.nnk.springboot.domain"><span class="typeNameLink">RuleName</span></a> - Class in <a href="../com/nnk/springboot/domain/package-summary.html">com.nnk.springboot.domain</a></dt>
<dd>
<div class="block">The type Rule name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/domain/RuleName.html#RuleName--">RuleName()</a></span> - Constructor for class com.nnk.springboot.domain.<a href="../com/nnk/springboot/domain/RuleName.html" title="class in com.nnk.springboot.domain">RuleName</a></dt>
<dd>
<div class="block">Instantiates a new Rule name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/domain/RuleName.html#RuleName-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">RuleName(String, String, String, String, String, String)</a></span> - Constructor for class com.nnk.springboot.domain.<a href="../com/nnk/springboot/domain/RuleName.html" title="class in com.nnk.springboot.domain">RuleName</a></dt>
<dd>
<div class="block">Instantiates a new Rule name.</div>
</dd>
<dt><a href="../com/nnk/springboot/controllers/RuleNameController.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">RuleNameController</span></a> - Class in <a href="../com/nnk/springboot/controllers/package-summary.html">com.nnk.springboot.controllers</a></dt>
<dd>
<div class="block">The Rule name controller.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/RuleNameController.html#RuleNameController--">RuleNameController()</a></span> - Constructor for class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/RuleNameController.html" title="class in com.nnk.springboot.controllers">RuleNameController</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/integration/RuleNameControllerIT.html" title="class in com.nnk.springboot.integration"><span class="typeNameLink">RuleNameControllerIT</span></a> - Class in <a href="../com/nnk/springboot/integration/package-summary.html">com.nnk.springboot.integration</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/integration/RuleNameControllerIT.html#RuleNameControllerIT--">RuleNameControllerIT()</a></span> - Constructor for class com.nnk.springboot.integration.<a href="../com/nnk/springboot/integration/RuleNameControllerIT.html" title="class in com.nnk.springboot.integration">RuleNameControllerIT</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/controllers/RuleNameControllerTest.html" title="class in com.nnk.springboot.controllers"><span class="typeNameLink">RuleNameControllerTest</span></a> - Class in <a href="../com/nnk/springboot/controllers/package-summary.html">com.nnk.springboot.controllers</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/controllers/RuleNameControllerTest.html#RuleNameControllerTest--">RuleNameControllerTest()</a></span> - Constructor for class com.nnk.springboot.controllers.<a href="../com/nnk/springboot/controllers/RuleNameControllerTest.html" title="class in com.nnk.springboot.controllers">RuleNameControllerTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/repositories/RuleNameRepository.html" title="interface in com.nnk.springboot.repositories"><span class="typeNameLink">RuleNameRepository</span></a> - Interface in <a href="../com/nnk/springboot/repositories/package-summary.html">com.nnk.springboot.repositories</a></dt>
<dd>
<div class="block">The interface Rule name repository.</div>
</dd>
<dt><a href="../com/nnk/springboot/services/RuleNameService.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">RuleNameService</span></a> - Class in <a href="../com/nnk/springboot/services/package-summary.html">com.nnk.springboot.services</a></dt>
<dd>
<div class="block">The type Rule name service.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/services/RuleNameService.html#RuleNameService--">RuleNameService()</a></span> - Constructor for class com.nnk.springboot.services.<a href="../com/nnk/springboot/services/RuleNameService.html" title="class in com.nnk.springboot.services">RuleNameService</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/nnk/springboot/services/RuleNameServiceTest.html" title="class in com.nnk.springboot.services"><span class="typeNameLink">RuleNameServiceTest</span></a> - Class in <a href="../com/nnk/springboot/services/package-summary.html">com.nnk.springboot.services</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/nnk/springboot/services/RuleNameServiceTest.html#RuleNameServiceTest--">RuleNameServiceTest()</a></span> - Constructor for class com.nnk.springboot.services.<a href="../com/nnk/springboot/services/RuleNameServiceTest.html" title="class in com.nnk.springboot.services">RuleNameServiceTest</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">J</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-13.html">Prev Letter</a></li>
<li><a href="index-15.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-14.html" target="_top">Frames</a></li>
<li><a href="index-14.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
